# Zip Archive

Retrieves all PDFs in a zip archive file. Optionally, you can watermark these retrieved PDFs.

Endpoint: POST /ziparchive
Version: 1.5
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)

## Path parameters:

  - `version` (string, required)
    The version of the API.

## Request fields (multipart/form-data):

  - `appid` (integer, required)
    Insights-assigned application identifier.

  - `filenamePattern` (string)
    Creates formatted filenames inside the zip. `filenamePattern` creates them by using angle bracket parameters. For example, `bank_statement_<account_number_last_4>_<month_text>.pdf`.
To use this file naming format, use any of the following.
- `<account_number_last_4>`: Shows the last 4 characters of the account number.
- `<date>`: The date in MMddyyyy format.
- `<month_text>`: The statement's month name. For example, `July`.
- `<year>`: The statement's year. For example, `2025`.
- `<month_num>`: The statement's month in numeric form. For example, `01`, `02`.

**Note:** `bank_statement` is just an example. You can only use any name you want before the format parameters or none at all. The file naming format works either way.

💡 **Tip:** Use whatever characters (such as dashes, spaces, or underscores) between these format parameters to make sure the filenames are easier to read.

  - `watermarkLogo` (string)
    Creates the watermark logo. When you create a watermark logo, we recommend the following:
- JPG, PNG, or GIF file formats.
- Square dimensions no larger than 1200 pixels on one side.
- No larger than 3MB in file size.

  - `watermarkText` (string)
    Places an opaque text across the PDF, so you can still read the statement.

  - `watermarkIdText` (string)
    Places small amount of text in the bottom left of the PDF. You can use this `watermarkIdText` to uniquely identify the PDF.

  - `watermarkIsFlatten` (boolean)
    When set to `True`, this turns each page of the PDF into an image, making it difficult to remove the watermark.

  - `watermarkUrl` (string)
    Converts a URL to a QR code and placed in the bottom right of the PDF.

## Response 200:

  - `200` (unknown)
    Request successful.

## Response 400:

  - `400` (unknown)
    Bad Request - Invalid Input

## Response 400 fields (application/json):

  - `error` (string)
    Example: No file found to process

## Response 401:

  - `401` (unknown)
    Bad Request - Authentication Error

## Response 401 fields (application/json):

  - `error` (string)
    Example: Bad token

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (string)
    Example: Encountered an unknown error. It has been reported. Please contact support@moneythumb.com for any questions.

  - `requestId` (string)
    Unique identifier for the request, useful for tracing.

## Response 503:

  - `503` (unknown)
    Server Error - Service Unavailable

## Response 503 fields (application/json):

  - `error` (string)
    Example: Service unavailable

